STM34F407 100pin 管脚定义


* PIN_Number--> aaaaaPIN_Number
  ```
  查找: ^(\d+|-)\s\S+\s((\d+|-))\s\S+\s\S+\s\S+
  替换: aaaaa$2
  ```
* \n --> (空格)
  ```
  查找: \n
  替换: (空格)
  ```
* aaaaa --> \n
  ```
  查找: aaaaa
  替换: \n
  ```
* 首字是"-",删除整行
  ```
  查找: ^-.+\n
  替换: (空白)
  ```
* "-","EVENTOUT","I/O","FT","," ,"I","O","B"-->(空格)
  ```
  查找: \s-(?=\s|\n)|EVENTOUT|I/O|FT\w*|\(\d+\)|,|\sI(?=\s)|\sO(?=\s)|\sS(?=\s)|\sB(?=\s)
  替换: (空格)
  ```
* 行首数字后的空白--> ","
  ```
  查找: (?<=^\d+)\s+
  替换: ,
  ```
* 删除"/"前后的空格
  * 查找: /\s+
  * 替换: ,
  * 查找: \s+/
  * 替换: ,

* 删除注释"(3)"
  * 查找: \(\s*\d\s*\)
  * 替换: (空格)
* 删除 “S-”
  * 查找： \sS-\s
  * 替换： （空格）

* 空白==>"/"
  ```
  查找: \s+(?=\S)
  替换: /
  ```
* 删除行末空白
  ```
  查找: \s+$
  替换: (空白)
  ```
* 删除 “TTa"
  * 查找： TTa\s*/
  * 替换： （空）

* 删除行末/
  ```
  查找: /$
  替换: (空白)
  ```

* 排序 
  * 在wps 排序
  * 加locate : 公式 =(101-row())*100

* 转成kicad库
  ```
  查找: ^(\d+),(.*),(\d+)$
  替换: X $2 $1 2300 $3 100 L 50 50 1 1 B
  ```